<template>
    <el-container style="padding: 40px 15%;">
        
        <el-row style="width: 100%;">
            <el-col :span="16">
                <el-row>
                    <el-carousel :interval="4000" type="card" height="280px" style="width: 100%;">
                        <el-carousel-item v-for="item in lunBoList" :key="item">
                            <el-image :src="item" style="height: 100%;width: 100%;" fit="cover"></el-image>
                            <!-- <p>{{ item }}</p> -->
                            <!-- <img src="../../assets/img/OIP.jpg" alt=""> -->
                        </el-carousel-item>
                    </el-carousel>

                </el-row>
                <e-row>
                          <h1 class="l-title" >校园热帖</h1>  
                        </e-row>
                <el-row>
                    <postCard/>
                </el-row>
            </el-col>
            <el-col :span="8" style="padding-left: 40px;" class="left-cont">
                <div :class="rigthAb?'abt':''">
                <el-row>
                <usersCard/>
            </el-row>
            <el-row style="margin: 20px 0;" v-show="!rigthAb">
                <el-card style="width: 100%;text-align: center;">快来发布你的动态吧 (＾▽＾)</el-card>
            </el-row>
            <el-row >
                <btnList v-show="!rigthAb"/>
            </el-row>
            <el-row>
                <toolList/>
            </el-row>
            <el-row class="topic-list">
                <topicCard v-show="!rigthAb"/>
            </el-row></div>
            </el-col>
        </el-row>
    </el-container>
</template>
<script>
import { defineComponent, onMounted } from 'vue';
import { reactive, ref } from 'vue';
import { useRoute, useRouter } from 'vue-router';
import topicCard from '../../components/topicCard.vue'
import btnList from '../../components/btnList.vue'
import usersCard from '../../components/usersCard.vue'
import toolList from '../../components/toolList.vue'
import postCard from '../../components/seach/postList.vue'

export default {
    components:{
        topicCard,
        postCard,
        btnList,
        usersCard,
        toolList
    },
    setup() {
        onMounted(() => {
            console.log('111');
            console.log(localStorage.getItem("Userid"));
            // 监听滚动条位置
            window.addEventListener('scroll', scrollTop, true)
            // localStorage.removeItem("Flag")
            // localStorage.removeItem("Userid")
        })
        const rigthAb = ref(false)
        const lunBoList = [
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b61.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b62.jpg',
            'api/schoolCloud/assets/image/lunbo/%e4%b8%87%e5%8f%b63.jpg'
        ]
        const router = useRouter();
        const navigateToAbout = (type) => {
            router.push({ path: `/addPost/${type}` });
            };
         // 实时滚动条高度
        const scrollTop = () => {
            let scroll = document.documentElement.scrollTop || document.body.scrollTop;
            if(scroll>=1200){
                rigthAb.value = true
            }else{
                rigthAb.value = false
            }
        }
        return {
            rigthAb,
            scrollTop,
            navigateToAbout,
            lunBoList,
        }
    }
}
</script>
<style lang="less" scoped>
.left-cont>div>.el-row{
    margin-top: 10px;
    
}
.l-title{
        padding: 10px 10px 20px 0;
        font-weight: 900;
        letter-spacing: 4px;
        font-size: 28px;
    }


.el-carousel__item:nth-child(2n) {
    background-color: #99a9bf;
}

.el-carousel__item:nth-child(2n + 1) {
    background-color: #d3dce6;
}
</style>